Bug 154624 - Remove override of java.awt.Component.isValid()
Remove override of java.awt.Component.isValid()
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: issues@ide
issues@ide
issue_reviewed
: UMBRELLA
: 158623 (view as bug list)
Depends on: 150223 154408 154626 157326 157827 157965 158192 158449 158456 158464 158465 158504 158505 158608 158677 158678 167352
Blocks: 157839 158079 158100 158161 158307
  Show dependency treegraph
 
Reported: 2008-12-04 15:39 UTC by _ tboudreau
Modified: 2009-06-19 08:21 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
grep for suspect classes (2.73 KB, text/plain)
2008-12-04 16:06 UTC, Vince Kraemer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2008-12-04 15:39:21 UTC
See relevant discussion here:
http://www.nabble.com/Need-%22process%27-help...-td20797793.html
Comment 1 _ tboudreau 2008-12-04 15:56:16 UTC
Logging added in e92edc1d7133
Comment 2 Vince Kraemer 2008-12-04 16:06:17 UTC
Created attachment 74543 [details]
grep for suspect classes
Comment 3 Vince Kraemer 2008-12-04 16:14:21 UTC
the suspect list shows that this is a pervasive coding error, not confined to the server integration modules... so ide
is the correct component.
Comment 4 mslama 2009-02-13 08:57:15 UTC
In most cases overriding of java.awt.Component.isValid() is incorrect in NB code base.
Possible incorrect usages:
1.Simple override from uknown reason probably left from following cases. Not used anywhere but in java.awt.Component.
Delete this overrides.
2.Class extends java.awt.Component and implements WizardDescriptor.Panel. Split it.
3.Class extends java.awt.Component and implements org.netbeans.spi.debugger.ui.Controller. It was fixed in issue #158192
and changeset http://hg.netbeans.org/main/rev/39b9fb269554
Comment 5 Marian Mirilovic 2009-02-17 11:45:54 UTC
*** Issue 158623 has been marked as a duplicate of this issue. ***
Comment 6 Marian Mirilovic 2009-03-03 10:08:38 UTC
all issues have already been addressed in current trunk (6.7) and are prepared for NetBeans 6.5.1 release, for more
details see http://wiki.netbeans.org/NetBeans651


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo